Skip to main content
GET
/
apps
/
{app_id}
/
files
List Files
curl --request GET \
  --url https://api.example.com/apps/{app_id}/files
import requests

url = "https://api.example.com/apps/{app_id}/files"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/apps/{app_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "file_id": "<string>",
    "file_filename": "document.pdf",
    "file_size": 1024,
    "file_mimetype": "application/pdf",
    "file_url": "<string>",
    "created_at": "2023-12-25",
    "file_format": "DOCUMENT",
    "file_status": "PROCESSED",
    "file_status_message": "<string>",
    "document": {
      "filename": "<string>",
      "filetype": "<string>",
      "contents": [
        {
          "id": 123,
          "content": "<string>",
          "page": 123,
          "content_as_html": "<string>",
          "parent": 123
        }
      ],
      "images": [
        {
          "id": "<string>",
          "file_id": "<string>",
          "image_url": "<string>",
          "type": "<string>",
          "page": 123,
          "height": 123,
          "width": 123
        }
      ],
      "extracted_pages": "<string>",
      "time": 123
    },
    "document_extract_contents": true,
    "document_extract_images": true,
    "document_extract_pages": true,
    "document_pages": [
      1,
      2,
      3
    ],
    "document_progress": 123,
    "storage": "PERSISTENT"
  }
]

Path Parameters

app_id
string
required

The ID of the app

Query Parameters

bucket
string

Optional bucket name for storage operations

Example:

"cortex-eu"

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required

Unique identifier for the file

file_id
string
required

File identifier used in the storage system

file_filename
string
required

Name of the file

Example:

"document.pdf"

file_size
number
required

Size of the file in bytes

Example:

1024

file_mimetype
string
required

MIME type of the file

Example:

"application/pdf"

file_url
string
required

URL to access the file

created_at
string<date> | null
required

Timestamp when the file was created

file_format
enum<string>

Format of the file

Available options:
DOCUMENT
Example:

"DOCUMENT"

file_status
enum<string>

Current status of the file

Available options:
PROCESSING,
PROCESSED,
FAILED
Example:

"PROCESSED"

file_status_message
string

Status message providing additional information about the file status

document
object

Document data associated with the file

document_extract_contents
boolean

Flag indicating whether to extract contents from the document

document_extract_images
boolean

Flag indicating whether to extract images from the document

document_extract_pages
boolean

Flag indicating whether to extract pages from the document

document_pages
number[]

Array of page numbers to extract from the document

Maximum array length: 1024
Example:
[1, 2, 3]
document_progress
number

Progress of the document extraction process

storage
enum<string>
default:PERSISTENT

Whether the file is stored permanently or temporarily, indicating the storage type

Available options:
PERSISTENT,
TEMPORARY
Example:

"PERSISTENT"